Subject: Re: linux-next: build failure after merge of the v9fs tree

From: Christian Schoenebeck <[email-masked]>
Date: Mon, 05 Dec 2022 15:31:57 +0100

On Monday, December 5, 2022 5:10:18 AM CET Dominique Martinet wrote:
> Stephen Rothwell wrote on Mon, Dec 05, 2022 at 03:03:16PM +1100:
> > After merging the v9fs tree, today's linux-next build (i386 defconfig)
> > failed like this:
[...]
> > net/9p/client.c:523:17: note: in expansion of macro 'pr_err'
> >   523 |                 pr_err(
> >       |                 ^~~~~~
> > cc1: all warnings being treated as errors
> > 
> > Caused by commit
> > 
> >   36cd2f80abf8 ("net/9p: fix response size check in p9_check_errors()")
> > 
> > I have applied the following patch for today:
> 
> Thank you!
> I guess I should start building one 32bit kernel somewhere...

:/ I'll setup a 32-bit build system as well, sorry!

Best regards,
Christian Schoenebeck